hama-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Edward J. Yoon" <edwardy...@apache.org>
Subject [VOTE] Move Hama 0.7 to Java 7+ only
Date Thu, 04 Jun 2015 09:55:56 GMT
Hello all,

I knew that Java 7 isn't fully backwards compatible with Java 6, but I
haven't experienced any issues at all so far. Because our code doesn't
use any features from Java 7.

However, I just noticed that latest Hadoop supports Java 7+ only and
we also need to move to Java 7 for supporting YARN. The classic Hama
cluster mode is outside the area of influence. Should we move to Java
7?

Thanks!

[ ] +1, We are ending support for Java 6 and move to Java 7.
[ ] -1, Keep support Java 6, because ...

-- 
Best Regards, Edward J. Yoon

Mime
View raw message